Skip navigation

What is the last macbook pro that can run Snow Leopard

511 Views 4 Replies Latest reply: Oct 4, 2012 8:50 AM by ds store RSS
Frank Bassman Calculating status...
Currently Being Moderated
Aug 8, 2012 7:38 AM

Hi I am looking for a replacement (meebee 2nd hand) MacBook Pro. Because I don't want to upgrade all my music production software that works just fine,  I do want a macBook Pro that still can run Snow Leopard.

What models MB's can do this? Or is it some firmware or a kernel thing?

  • ds store Level 7 Level 7 (30,305 points)

    Early 2011 models of Mac's were the last to run the blessed Snow Leopard.

     

    However some Early 2011's came with (from the factory) 10.7 or later user upgraded to 10.7 or 10.8.

     

     

    If the Mac originally came with 10.6, but has 10.7 or 10.8 on it, it's rather easy to erase and install 10.6, make sure the previous owner provides the machine specific grey disks (learn to make backup copies using Disk Utility) as the 10.6.3 white retail disks won't work (unless you make a combination disk with the 10.6.8 combo update)

     

    How to erase and install Snow Leopard 10.6

     

     

    If you get a used Mac and it came from the factory with 10.7 orignally, there is a method to get 10.6 on it, but it's difficult. (combination disk)

     

    What Apple does is if the Mac comes with 10.7 then they fix the firmware so it won't boot from the 10.6 disk, so you have to bypass the firmware using another Mac to do it via target disk mode. Link is here to old thread how it was done.

     

    https://discussions.apple.com/thread/3264421?start=0&tstart=0

     

     

     

    So ideally it would be best to get a used Early 2011 Mac that originally came with 10.6.4+ and a working copy of the gray machine specific disks.

     

    If the disks don't work, then you can call Apple for replacement copies, but if their records show the machine shipped with 10.7 then might not get them or they might have already stopped shipping them.

  • ds store Level 7 Level 7 (30,305 points)

    Frank Bassman wrote:

     

    A early i7 MacBook pro 17' can run Snow Leopard without any problem.

     

    Yes, I have one still on the blessed Snow Kitty, and boy is it fast.

     

    Do these things, Zero Erase the entire hard drive before installing 10.6, keep the boot drive below 50% filled.

     

    If you have fast broadband, use Firefox and search online for "making Firefox 10x faster"

     

    It will smoke Safari, pages load complete in about 1-1.5 seconds.

     

    this also helps a lot.

     

    Stop a Mac from connecting to certain sites

     

     

    I had a system 10.6.8 cloned it with Carbon Copy Cloner to the HD. No problem.

     

    True, the 10.6.8 Combo Update applies the hardware drivers for Early 2011 machines, but the 10.6.3 disk does not.

     

     

    By the way I asked some 'genius' guys at the Applestore. Problem is the word genius. They are not.

     

    They unfortunately have to tote company policy as their paychecks are held hostage and with Apple's high turnover rate they can control the knowledge by hiring ignorants and telling them what they what to think.

     

    Like that stupid hand clapping brainwashing session. LOL

  • ds store Level 7 Level 7 (30,305 points)

    Another neat trick for 10.6 users is making the current selected screensaver run as the desktop backgroung.

     

    Open AppleScript Editor and paste this in

    tell application "System Events"

        if process "ScreenSaverEngine" exists then

            tell application "ScreenSaverEngine" to quit

        else

            do shell script "System/Library/Frameworks/ScreenSaver.framework/Versions/A/Resources/ScreenSav erEngine.app/Contents/MacOS/ScreenSaverEngine -background > /dev/null 2>&1 &"

        end if

    end tell

     

    Save as a new application and place in your Utilities, then drag a icon to the Dock, it acts like a on/off swtich.

     

     

    Notice the line break space

     

    "ScreenSav erEngine.app" needs to be "ScreenSaverEngine.app"

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.